# -*- coding: utf-8 -*-
from pyramid.view import view_config
from ringo.lib.helpers import get_action_routename
from ringo.views.base import update as update_
from ringo_target.model import Target
from ringo_target.views import update, list__


@view_config(route_name=get_action_routename(Target, 'update'),
             renderer='/default/update.mako',
             permission='update')
def update_(request):
    return update(request)


@view_config(route_name=get_action_routename(Target, 'list'),
             renderer='/targets/list.mako',
             permission='list')
def list_(request):
    return list__(request)

